<?php


namespace ModulesGarden\Servers\ZimbraEmail\App\Libs\Zimbra\Components\Api\Soap\Traits;


use ModulesGarden\Servers\ZimbraEmail\App\Libs\Product\ProductManager;
use ModulesGarden\Servers\ZimbraEmail\App\Libs\Zimbra\Components\Api\Soap\Services\Create\CreateAccount;

trait ProductManagerHandler
{

    /**
     * @var ProductManager
     */
    protected $productManager;

    /**
     * @return ProductManager
     */
    public function getProductManager()
    {
        return $this->productManager;
    }

    /**
     * @param ProductManager $productManager
     * @return $this
     */
    public function setProductManager(ProductManager $productManager)
    {
        $this->productManager = $productManager;
        return $this;
    }
}